var fm1=document.dbform;
//点提交按钮时再次验证	
fm1.onsubmit=function(){
	if(check_dbhost(fm1.dbhost.value)==false |check_dbuser(fm1.dbuser.value)==false |check_dbpassword(fm1.dbpassword.value)==false |check_dbname(fm1.dbname.value)==false | check_tablepre(fm1.tablepre.value)==false | check_user(fm1.username.value)==false | check_pass1(fm1.password.value)==false | check_pass2()==false){		
			return false;
	}
	else{		
		return true;
	}
}


function check_dbhost(name){
	var obj=document.getElementById("check_dbhost");
	if(name==""){
	obj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 数据库主机名不得为空</span>';
	return false;
	}	
	else{
	obj.innerHTML='<span style=\"color:green\"><img src="template/images/ok.gif" /></span>';
	return true;
	}
} 
function check_dbuser(name){
	var obj=document.getElementById("check_dbuser");
	if(name==""){
	obj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 数据库用户名不得为空</span>';
	return false;
	}	
	else{
	obj.innerHTML='<span style=\"color:green\"><img src="template/images/ok.gif" /></span>';
	return true;
	}
} 
function check_dbpassword(name){
	var obj=document.getElementById("check_dbpassword");
	if(name==""){
	obj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 数据库密码不得为空</span>';
	return false;
	}	
	else{
	obj.innerHTML='<span style=\"color:green\"><img src="template/images/ok.gif" /></span>';
	return true;
	}
} 

//检测数据库
function check_dbname(){
	var fm2=document.getElementsByTagName('form')[0];
	var obj=document.getElementById("check_dbname");
	$.get("index.php", { action: "checkdbname", dbhost: fm2.dbhost.value, dbuser:fm2.dbuser.value,dbpassword:fm2.dbpassword.value,dbname:fm2.dbname.value},
			  function(data){
				if(data==0){
					obj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 数据库名称不得为空</span>';
					return false;
				}
				else if(data==1){
					obj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 数据库连接错误</span>';
					return false;
				}
				else if(data==2){
					obj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 此数据库已经存在</span>';
					return false;
				}
				else{
					obj.innerHTML='<span style=\"color:green\"><img src="template/images/ok.gif" /></span>';
					return true;
				}		
	});
} 
//检测前缀名称
function check_tablepre(name){
	var obj=document.getElementById("check_tablepre");
	if(name==""){
	obj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 表前缀不得为空</span>';
	return false;
	}	
	else{
	obj.innerHTML='<span style=\"color:green\"><img src="template/images/ok.gif" /></span>';
	return true;
	}
} 
 //验证用户名
function check_user(user){
		var userobj=document.getElementById("check_username");
		if(user==""){
			userobj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 用户名不能为空</span>';
			return false;
		}
		else if(user.length<2 ||user.length>20){
			userobj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 用户名长度不合法</span>';
			return false;
		}
		else if(/[=<>\'\"\\  \/\-]/.test(user)){
			
			userobj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 用户名不得包含非法字符</span>';
			return false;
		}
		else{
			userobj.innerHTML='<span style=\"color:green\"><img src="template/images/ok.gif" /></span>';
			return true;
		}
	
	}
//检测密码是否合法
function check_pass1(pass){
	var userobj=document.getElementById("check_password");
	if(pass.length<6 || pass.length>20){
	userobj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 密码长度不合法</span>';
	return false;
	
	}
	else{
	userobj.innerHTML='<span style=\"color:green\"><img src="template/images/ok.gif" /></span>';
	return true;
	}
}
//检测确认密码是否合法
function check_pass2(){
	var fm=document.getElementsByTagName('form')[0];
	var userobj=document.getElementById("check_pwdconfirm");
	if(fm.pwdconfirm.value.length<6 || fm.pwdconfirm.value.length>20 ||fm.pwdconfirm.value=="")	{
		userobj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 确认密码错误</span>';
		return false;
	}
	else if(fm.pwdconfirm.value!=fm.password.value || fm.pwdconfirm.value==""){
		userobj.innerHTML='<span style=\"color:red\"><img src="template/images/error.gif" /> 确认密码错误</span>';
		fm.pwdconfirm.value='';
		fm.pwdconfirm.focus();
		return false;
	}
	else{
	  userobj.innerHTML='<span style=\"color:green\"><img src="template/images/ok.gif" /> </span>';
	  return true;
	}
	
}